### error_code

Class to represent an error code value.

    class error_code

##### Types

Name | Description
--- | ---
unspecified_bool_type_t |
unspecified_bool_type |

##### Member Functions

Name | Description
--- | ---
assign | Assign a new error value.
category | Get the error category.
clear | Clear the error value to the default.
error_code | Default constructor. — Construct with specific error code and category. — Construct from an error code enum.
message | Get the message associated with the error.
operator unspecified_bool_type | Operator returns non-null if there is a non-success error code.
operator! | Operator to test if the error represents success.
unspecified_bool_true |
value | Get the error value.

##### Friends

Name | Description
--- | ---
operator!= | Inequality operator to compare two error objects.
operator== | Equality operator to compare two error objects.

##### Requirements

Header: `asio/error_code.hpp`

Convenience header: `asio.hpp`